Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.editor.internal.e3
Class MEEditor

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.ui.part.MultiPageEditorPart
                      org.eclipse.ui.forms.editor.FormEditor
                          org.eclipse.ui.forms.editor.SharedHeaderFormEditor
                              org.eclipse.emf.ecp.editor.internal.e3.MEEditor

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.dialogs.IPageChangeProvider, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class MEEditor

extends org.eclipse.ui.forms.editor.SharedHeaderFormEditor

GUI view for editing MEs.

Author:
  helming, naughton

Field Summary
`static String` | `ID` The Id for MEEditor.

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`MEEditor()` Default constructor.

Method Summary
`void` | `dispose()`
`void` | `doSave(org.eclipse.core.runtime.IProgressMonitor monitor)`
`void` | `doSaveAs()`
`void` | `init(org.eclipse.ui.IEditorSite site, org.eclipse.ui.IEditorInput input)`
`boolean` | `isDirty()`
`boolean` | `isSaveAsAllowed()` Save is not allowed as the editor can only modify model elements.
`void` | `setFocus()`

Methods inherited from class org.eclipse.ui.forms.editor.SharedHeaderFormEditor
`getHeaderForm`

Methods inherited from class org.eclipse.ui.forms.editor.FormEditor
`addPage, addPage, addPage, addPage, addPage, addPage, addPageChangedListener, close, editorDirtyStateChanged, findPage, getActiveEditor, getActivePageInstance, getSelectedPage, getToolkit, removePage, removePageChangedListener, selectReveal, setActivePage, setActivePage`

Methods inherited from class org.eclipse.ui.part.MultiPageEditorPart
`createPartControl, findEditors, getActivePage, getAdapter, setActiveEditor`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

Field Detail

### ID

    public static final String ID

  The Id for MEEditor. We need this to open a model element.

  See Also:
    Constant Field Values

Constructor Detail

### MEEditor

    public MEEditor()

  Default constructor.

Method Detail

### doSave

    public void doSave(org.eclipse.core.runtime.IProgressMonitor monitor)

  Specified by:
    `doSave` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `doSave` in class `org.eclipse.ui.part.EditorPart`

### doSaveAs

    public void doSaveAs()

  Specified by:
    `doSaveAs` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `doSaveAs` in class `org.eclipse.ui.part.EditorPart`

### isSaveAsAllowed

    public boolean isSaveAsAllowed()

  Save is not allowed as the editor can only modify model elements.

  Specified by:
    `isSaveAsAllowed` in interface `org.eclipse.ui.ISaveablePart`
  Specified by:
    `isSaveAsAllowed` in class `org.eclipse.ui.part.EditorPart`
  Returns:
    false

### init

    public void init(org.eclipse.ui.IEditorSite site,
                     org.eclipse.ui.IEditorInput input)
              throws org.eclipse.ui.PartInitException

  Specified by:
    `init` in interface `org.eclipse.ui.IEditorPart`
  Overrides:
    `init` in class `org.eclipse.ui.forms.editor.FormEditor`
  Throws:
    `org.eclipse.ui.PartInitException`

### isDirty

    public boolean isDirty()

  Specified by:
    `isDirty` in interface `org.eclipse.ui.ISaveablePart`
  Overrides:
    `isDirty` in class `org.eclipse.ui.forms.editor.SharedHeaderFormEditor`

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `setFocus` in class `org.eclipse.ui.forms.editor.SharedHeaderFormEditor`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `org.eclipse.ui.forms.editor.SharedHeaderFormEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.